Skip to main content
POST
/
social
/
posts
/
{id}
/
unpublish
Unpublish a platform target
curl --request POST \
  --url https://api.app.hrizn.io/v1/public/social/posts/{id}/unpublish \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
import requests

url = "https://api.app.hrizn.io/v1/public/social/posts/{id}/unpublish"

payload = {}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}/unpublish', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}/unpublish', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/posts/{id}/unpublish",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "zernio_post_id": "<string>",
    "status": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string
required

The post id (post_id / Zernio post id)

Body

application/json
platform
enum<string>
required
Available options:
twitter,
facebook,
instagram,
linkedin,
googlebusiness
target_id
string<uuid>

Optional specific target row to unpublish

Response

Target unpublished

data
object
Last modified on July 1, 2026